[**@nymproject/sdk**](../globals.md) • **Docs**

***

[@nymproject/sdk](../globals.md) / NymMixnetClient

# Interface: NymMixnetClient

The client for the Nym mixnet which gives access to client methods and event subscriptions.
Returned by the [createNymMixnetClient](../functions/createNymMixnetClient.md) function.

## Properties

### client

> **client**: [`Client`](Client.md)

#### Source

[mixnet/wasm/index.ts:38](https://github.com/nymtech/nym/blob/5065c5579e2c961211276dcdfd8aaa127f29bf26/sdk/typescript/packages/sdk/src/mixnet/wasm/index.ts#L38)

***

### events

> **events**: [`Events`](Events.md)

#### Source

[mixnet/wasm/index.ts:39](https://github.com/nymtech/nym/blob/5065c5579e2c961211276dcdfd8aaa127f29bf26/sdk/typescript/packages/sdk/src/mixnet/wasm/index.ts#L39)
